std::chrono::time_point::operator++,(3)

NAME
std::chrono::time_point::operator++, - std::chrono::time_point::operator++,

Synopsis
   constexpr time_point& operator++(); (1) (since C++20)
   constexpr time_point operator++(int); (2) (since C++20)
   constexpr time_point& operator--(); (3) (since C++20)
   constexpr time_point operator--(int); (4) (since C++20)
   Modifies the point in time *this represents by one tick of the duration.
   If d_ is a member variable holding the duration (i.e., time since epoch) of this
   time_point object,
   1) Equivalent to ++d_; return *this;
   2) Equivalent to return time_point(d_++)
   3) Equivalent to --d_; return *this;
   4) Equivalent to return time_point(d_--);

Parameters
   (none)

Return value
   1,3) a reference to this time_point after modification
   2,4) a copy of the time_point made before modification

Example
    This section is incomplete
    Reason: no example

See also
   operator++
   operator++(int) increments or decrements the tick count
   operator-- (public member function of std::chrono::duration<Rep,Period>)
   operator--(int)
   operator+= modifies the time point by the given duration
   operator-= (public member function)
   operator+ performs add and subtract operations involving a time point
   operator- (function template)
   (C++11)